libcairomm-1_16-1-32bit-1.15.5-76.16.x86_64.rpm


Advertisement

Description

libcairomm-1_16-1-32bit - C++ interface for Cairo

Property Value
Distribution openSUSE Tumbleweed
Repository GNOME Factory x86_64 + i586
Package filename libcairomm-1_16-1-32bit-1.15.5-76.16.x86_64.rpm
Package name libcairomm-1_16-1-32bit
Package version 1.15.5
Package release 76.16
Package architecture x86_64
Package type rpm
Category System/Libraries
Homepage http://cairographics.org
License LGPL-2.1-or-later
Maintainer -
Download size 60.05 KB
Installed size 175.14 KB
This package provides a C++ interface for Cairo.

Alternatives

Package Version Architecture Repository
libcairomm-1_16-1-32bit-1.15.5-98.16.x86_64.rpm 1.15.5 x86_64 GNOME Next
libcairomm-1_16-1-32bit-1.15.5-4.4.x86_64.rpm 1.15.5 x86_64 openSUSE Oss
libcairomm-1_16-1-32bit - - -

Requires

Name Value
libc.so.6(GLIBC_2.4) -
libcairo.so.2 -
libgcc_s.so.1 -
libgcc_s.so.1(GCC_3.0) -
libgcc_s.so.1(GCC_3.3.1) -
libsigc-3.0.so.0 -
libstdc++.so.6 -
libstdc++.so.6(CXXABI_1.3) -
libstdc++.so.6(CXXABI_1.3.8) -
libstdc++.so.6(CXXABI_1.3.9) -
libstdc++.so.6(GLIBCXX_3.4) -
libstdc++.so.6(GLIBCXX_3.4.11) -
libstdc++.so.6(GLIBCXX_3.4.21) -
libstdc++.so.6(GLIBCXX_3.4.9) -

Provides

Name Value
libcairomm-1.16.so.1 -
libcairomm-1_16-1-32bit = 1.15.5-76.16
libcairomm-1_16-1-32bit(x86-32) = 1.15.5-76.16

Download

Type URL
Mirror widehat.opensuse.org
Binary Package libcairomm-1_16-1-32bit-1.15.5-76.16.x86_64.rpm
Source Package cairomm-1.15.5-76.16.src.rpm

Install Howto

  1. Add the GNOME Factory repository:
    # zypper addrepo http://widehat.opensuse.org/repositories/GNOME:/Factory/openSUSE_Factory/ gnome-factory
  2. Install libcairomm-1_16-1-32bit rpm package:
    # zypper install libcairomm-1_16-1-32bit

Files

Path
/usr/lib/libcairomm-1.16.so.1
/usr/lib/libcairomm-1.16.so.1.4.0

Changelog

2019-04-18 - Jan Engelhardt <jengelh@inai.de>
- Description updates.
2018-04-17 - dimstar@opensuse.org
- Export CXXFLAGS="-std=c++17" until upstream fixes this. Requires,
as libsigc++-3.0 moved to C++17.
2018-02-28 - dimstar@opensuse.org
- Modernize spec-file by calling spec-cleaner
2017-09-04 - luc14n0@linuxmail.org
- Update to version 1.15.5:
+ enums.h: Guard the FT-specific include and the enum with an
ifdef (fdo#100894).
+ Build: configure.ac: Require C++14, because libsigc++-3.0 does
(fdo#100884).
2017-05-20 - zaitor@opensuse.org
- Update to version 1.15.4:
+ Use C++11 enum classes instead of old-style enums, and put some
enums inside relevant class declarations:
- Change Cairo::RegionOverlap enum to Cairo::Region::Overlap.
- Change Cairo::PatternType enum to Cairo::Pattern::Type.
- Change Cairo::FontWeight enum to Cairo::ToyFontFace::Weight.
- Change Cairo::FontSlant enum to Cairo::ToyFontFace::Slant.
- Change Cairo::SurfaceType enum to Cairo::Surface::Type.
- Change Cairo::HintMetrics enum to
Cairo::FontOptions::HintMetrics.
- Change Cairo::HintStyle enum to
Cairo::FontOptions::HintStyle.
- Change Cairo::Filter enum to Cairo::SurfacePattern::Filter.
- Change Cairo::Extend enum to Cairo::Pattern::Extend.
- Change Cairo::Format enum to Cairo::Surface::Format.
- Change Cairo::DeviceType enum to Cairo::Device::DeviceType.
- Change Cairo::LineJoin enum to Cairo::Context::LineJoin.
- Change Cairo::LineCap enum to Cairo::Context::LineCap.
- Change Cairo::FillRule enum to Cairo::Context::FillRule.
- Change Cairo::Operator enum to Cairo::Context::Operator.
+ Build: Win32 / Visual Studio builds:
- Require Visual Studio 2017.
- Remove leftovers from removing deprecated Win32::create().
- Stop using service for tarball, upstream releasing again.
- Following the above: Drop libtool BuildRequires, and stop passing
NOCONFIGURE=1 ./autogen.sh.
2017-01-20 - zaitor@opensuse.org
- Update to version 1.15.3:
+ RefPtr: This is now an alias for std::shared_ptr<>. These
should be instatiated via Cairo::make_refptr_for_instance(),
though that should never be necessary anyway outside of the
cairomm implementation itself.
2016-12-09 - zaitor@opensuse.org
- Update to version 1.15.2:
+ Remove deprecated API.
+ Remove old API that takes cairo_matrix_t*.
2016-12-03 - dimstar@opensuse.org
- Update to version 1.15.1:
+ First release of the cairomm-1.16 API/ABI that installs in
parallel with cairomm-1.0. This uses libsigc++-3.0 instead of
libsigc++-2.0.
- Changes from version 1.13.1:
+ Added RecordingSurface, wrapping cairo_recording_surface
(fdo#121359).
- Replace libsigc++2-devel BuildRequires with
pkgconfig(sigc++-3.0), following upstream.
- Replace cairo-devel BuildRequires with pkgconfig(cairo): match
what configure is looking for.
- Rename libcairomm-1_0-1 subpackage to libcairomm-1_16-1,
following upstreams soname change to represent the new ABI/API.
- Add libtool, mm-common and xlstproc BuildRequires as well as call
autogen.sh: required, as we have a non-bootstrapped git tarball.
- Drop legacy cairomm provides/obsolete from the library package:
with the soname change this can't possibly still be a drop-in.
2016-11-20 - zaitor@opensuse.org
- Update to version 1.12.2:
+ Remove new API that was not meant to be added in 1.12.1.
- Changes from version 1.12.1:
+ C++11:
- Use nullptr instead of 0.
- Use override keyword on destructors.
- Make operator bool() explicit.
2016-06-01 - jengelh@inai.de
- Remove unnecessary INSTALL file (resolves rpmlint warning)

See Also

Package Description
libcamel-1_2-62-3.34.2-363.1.x86_64.rpm Evolution Data Server's Messaging Library
libcamel-1_2-62-3.34.3-371.3.i586.rpm Evolution Data Server's Messaging Library
libcamel-1_2-62-32bit-3.34.3-371.3.x86_64.rpm Evolution Data Server's Messaging Library
libcanberra-devel-0.30-87.28.x86_64.rpm Development files for libcanberra, a portable sound event library
libcanberra-devel-0.30-87.34.i586.rpm Development files for libcanberra, a portable sound event library
libcanberra-gtk-devel-0.30-87.28.x86_64.rpm GTK+ 2 development files for libcanberra
libcanberra-gtk-devel-0.30-87.34.i586.rpm GTK+ 2 development files for libcanberra
libcanberra-gtk-module-common-0.30-87.28.x86_64.rpm Portable sound event library -- Common Files for GTK+ Modules
libcanberra-gtk-module-common-0.30-87.34.i586.rpm Portable sound event library -- Common Files for GTK+ Modules
libcanberra-gtk0-0.30-87.28.x86_64.rpm Portable sound event library -- GTK+ 2 Library
libcanberra-gtk0-0.30-87.34.i586.rpm Portable sound event library -- GTK+ 2 Library
libcanberra-gtk0-32bit-0.30-87.34.x86_64.rpm Portable sound event library -- GTK+ 2 Library
libcanberra-gtk2-module-0.30-87.28.x86_64.rpm Portable sound event library -- GTK+ 2 Module
libcanberra-gtk2-module-0.30-87.34.i586.rpm Portable sound event library -- GTK+ 2 Module
libcanberra-gtk2-module-32bit-0.30-87.34.x86_64.rpm Portable sound event library -- GTK+ 2 Module
Advertisement
Advertisement